import { EventEmitter } from '@angular/core';
import { ScopeVO } from '../../../vo/scope.vo';
export declare class IdentityApiResourceUpdateScopeComponent {
    apiResourceName: string;
    identityApiResourceUpdateScopeCreateComponentProp: {
        visible: boolean;
    };
    scopes: Array<ScopeVO>;
    scopesFetching: boolean;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    deleteScope(item: ScopeVO): void;
    fetchScopes(): void;
    handleAfterOpen(): void;
    handleCancel(): void;
    handleIdentityApiResourceUpdateScopeCreateComponentOk(): void;
    openIdentityClientsUpdateClaimCreateComponent(): void;
}
